/* ===================================================
    STYLE - nCOV-genome-stat
===================================================== */

{% load static %}


p.required {
    float: right;
    width: 120px;
    text-align: center;
    font-weight: bold;
    background-color: #e8e8e8;
    margin-right: 0px;
    margin-bottom: 0px;
}

.handsontable .lightblue-bg {
  background-color: lightblue !important;
}


/* ---------------------------------------------------
    Form
----------------------------------------------------- */
.helptext{
    font-style: italic;
}

ul.errorlist li {
    list-style-type: none;
    color: red;
    font-weight: bold;
}

ul.errorlist {
    padding-left: 0rem;
}

table.form tr > td{
   padding-bottom: 1em;
}

.shadow {
    padding: 20px;
    -webkit-box-shadow: 0px 0px 16px 1px rgba(0,0,0,0.39);
    -moz-box-shadow: 0px 0px 16px 1px rgba(0,0,0,0.39);
    box-shadow: 0px 0px 16px 1px rgba(0,0,0,0.39);
}

textarea
{
  width:100%;
}

div.edit > input[type="text"]
{
    width:100%;
}

/* ---------------------------------------------------
    IFRAME
----------------------------------------------------- */
iframe {
    height: 500px;
    width: 100%;
    margin: 10px 0px;
}

p {
    text-align: justify;
}
/* ---------------------------------------------------
    Leaflet
----------------------------------------------------- */
.map_leaflet {  height: 100%; min-height: 500px;}

.accordion-button:focus {
  outline: 0 !important;
  box-shadow: 0 0 0 0 rgba(0, 0, 0, 0) !important;
  border: 1px solid rgba(0,0,0,.125) !important;
}

.accordion-button:hover {
  font-weight: bold;
}


/* ---------------------------------------------------
    EditorJS
----------------------------------------------------- */
.ce-block__content, .ce-toolbar__content { max-width:calc(100% - 80px) !important; }
.cdx-block { max-width: 100% !important; }

.codex-editor__redactor {
    box-shadow: 0px 8px 14px -6px rgba(0,0,0,0.75) !important;
    padding-bottom: 300px !important;
    padding-top: 10px !important;
    border-radius: 8px !important;
}


.btn:focus {
  outline: none !important;
  box-shadow: none !important;
}
/* ---------------------------------------------------
    snackbar
----------------------------------------------------- */

/* The snackbar - position it at the bottom and in the middle of the screen */
#snackbar {
  visibility: hidden; /* Hidden by default. Visible on click */
  min-width: 250px; /* Set a default minimum width */
  margin-left: -125px; /* Divide value of min-width by 2 */
  background-color: #333; /* Black background color */
  color: #fff; /* White text color */
  text-align: center; /* Centered text */
  border-radius: 2px; /* Rounded borders */
  padding: 16px; /* Padding */
  position: fixed; /* Sit on top of the screen */
  z-index: 1; /* Add a z-index if needed */
  left: 50%; /* Center the snackbar */
  bottom: 30px; /* 30px from the bottom */
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#snackbar.show {
  visibility: visible; /* Show the snackbar */
  /* Add animation: Take 0.5 seconds to fade in and out the snackbar.
  However, delay the fade out process for 2.5 seconds */
  -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
  animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
  from {bottom: 0; opacity: 0;}
  to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
  from {bottom: 0; opacity: 0;}
  to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
  from {bottom: 30px; opacity: 1;}
  to {bottom: 0; opacity: 0;}
}

@keyframes fadeout {
  from {bottom: 30px; opacity: 1;}
  to {bottom: 0; opacity: 0;}
}

/* ---------------------------------------------------
    autocomplete
----------------------------------------------------- */
.autocomplete-suggestions { -webkit-box-sizing: border-box; -moz-box-sizing: border-box; box-sizing: border-box; border: 1px solid #999; background: #FFF; cursor: default; overflow: auto; -webkit-box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64); -moz-box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64); box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64); }
.autocomplete-suggestion { padding: 2px 5px; white-space: nowrap; overflow: hidden; }
.autocomplete-no-suggestion { padding: 2px 5px;}
.autocomplete-selected { background: #F0F0F0; }
.autocomplete-suggestions strong { font-weight: bold; color: #000; }
.autocomplete-group { padding: 2px 5px; font-weight: bold; font-size: 16px; color: #000; display: block; border-bottom: 1px solid #000; }

/* ---------------------------------------------------
    Footer
----------------------------------------------------- */

.footer {
    width: 100%;
    text-align: center;
    padding-top: 20px;
    padding-bottom: 20px;
}

.footer::before {
  content: '';
  display: block;
  width: 100%;
  height: 3px;
  background: #f8f9fa !important;
  margin-bottom: 20px;
  box-sizing: border-box;
}
/* ---------------------------------------------------
    Images
----------------------------------------------------- */
  .sectionCover{
      width: 100%;
      height: 400px;
      margin-bottom: 30px;
      background-image: url('../img/cover.jpg');
      background-size: cover;
      color: white;
      text-shadow: #173b6c 1px 0 10px;
      text-align: center;
  }

/* ---------------------------------------------------
    Images
----------------------------------------------------- */

img{
    display: block;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
}

.linkSocial {
    font-size: x-large;
    color: #173b6c;
}
